site_name: Form Processor
repo_url: https://lab.civicrm.org/extensions/form-processor
theme:
  name: material

nav:
- Introduction: index.md
- Requirements: requirements.md
- Basic Concept: basic-concept.md
- How to make your own:
  - Sign Up for Newsletter (Drupal): sign-up-newsletter.md
  - Sign Up for Newsletter (WordPress): sign-up-newsletter-wordpress.md
  - Your Email Preferences: email-preferences.md
- Developer: format submitted data

markdown_extensions:
  - attr_list
  - admonition
  - def_list
  - toc:
      permalink: true
  - pymdownx.highlight:
      guess_lang: true
      extend_pygments_lang:
        - name: php
          lang: php
          options:
            startinline: true
  - pymdownx.superfences:
      css_class: codehilite
  - pymdownx.inlinehilite:
      css_class: codehilite
  - pymdownx.tilde
  - pymdownx.betterem
  - pymdownx.mark
